"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const lib_components_icons_IconSentiment_IconSentimentSvg_cjs = require("./IconSentimentSvg.cjs");
const lib_components_icons_IconSentiment_IconSentimentNegativeSvg_cjs = require("./IconSentimentNegativeSvg.cjs");
const lib_components_icons_IconSentiment_IconSentimentPositiveSvg_cjs = require("./IconSentimentPositiveSvg.cjs");
const feelingToIcon = {
  positive: lib_components_icons_IconSentiment_IconSentimentPositiveSvg_cjs.IconSentimentPositiveSvg,
  negative: lib_components_icons_IconSentiment_IconSentimentNegativeSvg_cjs.IconSentimentNegativeSvg,
  neutral: lib_components_icons_IconSentiment_IconSentimentSvg_cjs.IconSentimentSvg
};
const IconSentiment = ({
  feeling = "neutral",
  ...props
}) => {
  const iconProps = lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: feelingToIcon[feeling] || feelingToIcon.neutral,
      ...iconProps
    }
  );
};
exports.IconSentiment = IconSentiment;
